devel/p5-multidimensional - The NetBSD Packages Collection

Perl 5 module to disable multidmensional array emulation

Perl's multidimensional array emultaion stems from the days before
the language had references, but these days it mostly serves to bite
you when you typo a hash slice by using the $ sigil instead of @.

This module lexically makes using multidmensional array emulation a
fatal error at compile time.

Build dependencies

devel/p5-ExtUtils-Depends pkgtools/cwrappers

Runtime dependencies

devel/p5-B-Hooks-OP-Check devel/p5-B-Hooks-OP-Check lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-multidimensional-0.014nb3.tgz
NetBSD 8.0earmv7hfp5-multidimensional-0.014nb3.tgz
NetBSD 8.0earmv7hfp5-multidimensional-0.014nb3.tgz
NetBSD 8.0i386p5-multidimensional-0.014nb3.tgz
NetBSD 8.0i386p5-multidimensional-0.014nb3.tgz
NetBSD 8.0i386p5-multidimensional-0.014nb3.tgz
NetBSD 8.0powerpcp5-multidimensional-0.014nb3.tgz
NetBSD 8.0powerpcp5-multidimensional-0.014nb3.tgz
NetBSD 8.0powerpcp5-multidimensional-0.014nb3.tgz
NetBSD 8.0x86_64p5-multidimensional-0.014nb3.tgz
NetBSD 8.0x86_64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0aarch64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0aarch64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0aarch64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0alphap5-multidimensional-0.014nb3.tgz
NetBSD 9.0alphap5-multidimensional-0.014nb3.tgz
NetBSD 9.0alphap5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmv6hfp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmv6hfp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmv6hfp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmv6hfp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmv7hfp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmv7hfp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmv7hfp5-multidimensional-0.014nb3.tgz
NetBSD 9.0earmv7hfp5-multidimensional-0.014nb3.tgz
NetBSD 9.0i386p5-multidimensional-0.014nb3.tgz
NetBSD 9.0i386p5-multidimensional-0.014nb3.tgz
NetBSD 9.0mips64ebp5-multidimensional-0.014nb3.tgz
NetBSD 9.0mips64ebp5-multidimensional-0.014nb3.tgz
NetBSD 9.0mips64ebp5-multidimensional-0.014nb3.tgz
NetBSD 9.0mipselp5-multidimensional-0.014nb3.tgz
NetBSD 9.0mipselp5-multidimensional-0.014nb3.tgz
NetBSD 9.0powerpcp5-multidimensional-0.014nb3.tgz
NetBSD 9.0powerpcp5-multidimensional-0.014nb3.tgz
NetBSD 9.0sh3elp5-multidimensional-0.014nb3.tgz
NetBSD 9.0sh3elp5-multidimensional-0.014nb3.tgz
NetBSD 9.0sparc64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0sparc64p5-multidimensional-0.014nb2.tgz
NetBSD 9.0sparc64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0sparc64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0sparcp5-multidimensional-0.014nb3.tgz
NetBSD 9.0sparcp5-multidimensional-0.014nb3.tgz
NetBSD 9.0sparcp5-multidimensional-0.014nb3.tgz
NetBSD 9.0vaxp5-multidimensional-0.014nb3.tgz
NetBSD 9.0vaxp5-multidimensional-0.014nb3.tgz
NetBSD 9.0x86_64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0x86_64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0x86_64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0x86_64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0x86_64p5-multidimensional-0.014nb3.tgz
NetBSD 9.0x86_64p5-multidimensional-0.014nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.